<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
                RTSP设置
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <input type="hidden" name="smartgateConfigConfigPage" value="3" title="">
                <div class="layui-form-item layui-row" pane>
                    <div class="layui-col-lg12">
                        <label class="layui-form-label">rtsp开关<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="radio" name="smartgateConfigRtspSwitch" required value="1" title="开启">
                            <input type="radio" name="smartgateConfigRtspSwitch" required value="0" title="关闭">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane>
                    <div class="layui-col-lg12">
                        <label class="layui-form-label">rtsp端口<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="number" id="smartgateConfigRtspPort" required name="smartgateConfigRtspPort" class="layui-input" value="" placeholder="请输入rtsp端口"  />
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane>
                    <div class="layui-col-lg12">
                        <label class="layui-form-label">最大连接数<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="number" id="smartgateConfigRtspMaxConnection" required name="smartgateConfigRtspMaxConnection" class="layui-input" placeholder="请输入最大连接数"  />
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane>
                    <div class="layui-col-lg12">
                        <label class="layui-form-label">rtp起始端<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="number" id="smartgateConfigRtspStartPort" required name="smartgateConfigRtspStartPort" class="layui-input" placeholder="请输入rtp起始端"  />
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane>
                    <div class="layui-col-lg12">
                        <label class="layui-form-label">rtp结束端<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="number" id="smartgateConfigRtspEndPort" required name="smartgateConfigRtspEndPort" class="layui-input" placeholder="请输入rtp结束端" />
                        </div>
                    </div>
                </div>
                <div class="layui-form-item " style="text-align:center;">
                    <div class="layui-input-block">
                        <div class="layui-footer" >
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm" style="margin-top:10px;">保存配置</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var smartgateId = top.restAjax.params(window.location.href).smartGateId;

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/hardwaresmartgateconfig/getsmartgateconfigbysmartgateid/{smartgateId}', [smartgateId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.update, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.get(top.restAjax.path('api/hardwaresmartgateconfig/savehardwaresmartgateconfig/{smartgateId}', [smartgateId]), formData.field, null, function(code, data) {
                    top.dialog.close(index);
                    window.location.reload();
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        var checkNoTimeout;

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>